<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- 
Copyright (c) 2012, Texas Instruments. All rights reserved.

This program and the accompanying materials are made available under the 
terms of the Eclipse Public License v1.0 and Eclipse Distribution License
v. 1.0 which accompanies this distribution. The Eclipse Public License is
available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse
Distribution License is available at 
    http://www.eclipse.org/org/documents/edl-v10.php.

Contributors:
   Texas Instruments - initial implementation
-->

<gep name="XDC/SysCallback" title="Callback-based System Support" version="1">

<page name="Module" title="Module Settings">
<html><body><table>
  <tr><td colspan="2">
    <control type="checkbox" label="Add SysCallback to my configuration" value="value:this.$used" bold="true"/></td>
  </tr>
  <tr>
    <td colspan="2">
    <h1>Description</h1>
    <form><p>The SysCallback module provides "back-end" support for the <a href="http://rtsc.eclipseprojects.io/cdoc-tip/index.html#xdc/runtime/System.html">System</a> module. This module allows user to define C callback functions to support the low level character output.  For more information see the <a href="http://rtsc.eclipseprojects.io/cdoc-tip/index.html#xdc/runtime/SysCallback.html">SysCallback reference</a> documentation.</p></form>
    </td>
  </tr>
  <tr>
    <td>
      <h1>Output Options</h1>
        <table>
        <tr>
          <td><control type="label" label="Character output function"/></td>
          <td><control type="editbox"
               enabled="value:this.$used"
               value="value:this.putchFxn" 
               tooltip="value:this.putchFxn.$summary"/></td>
        </tr>
      </table>
    </td>
    <td>
      <h1>Termination and Control Options</h1>
        <table>
        <tr>
          <td><control type="label" label="System exit function"/></td>
          <td><control type="editbox"
               enabled="value:this.$used"
               value="value:this.exitFxn"
               tooltip="value:this.exitFxn.$summary"/></td>
        </tr>
        <tr>
          <td><control type="label" label="System abort function"/></td>
          <td><control type="editbox"
               enabled="value:this.$used"
               value="value:this.abortFxn"
               tooltip="value:this.abortFxn.$summary"/></td>
        </tr>
        <tr>
          <td><control type="label" label="System ready function"/></td>
          <td><control type="editbox"
               enabled="value:this.$used"
               value="value:this.readyFxn"
               tooltip="value:this.readyFxn.$summary"/></td>
        </tr>
        <tr>
          <td><control type="label" label="System flush function"/></td>
          <td><control type="editbox"
               enabled="value:this.$used"
               value="value:this.flushFxn"
               tooltip="value:this.flushFxn.$summary"/></td>
        </tr>

        </table>
    </td>
  </tr>
</table></body></html>
</page>

<properties name="Advanced" title="All Options" enabled="true" visible="true" link="this"/>

</gep>
